var input = document.querySelector('#txt');
var word = document.querySelector('.word');
var container = document.querySelector('.container');

function setDataTxt(selector, dataName, string){
  var elems = document.querySelectorAll(selector);
  [].forEach.call(elems, function(e) {
    e.dataset[dataName] = string;
  })
}

/*
var prefix = (function () {
  var styles = window.getComputedStyle(document.documentElement, ''),
    pre = (Array.prototype.slice
      .call(styles)
      .join('') 
      .match(/-(moz|webkit|ms)-/) || (styles.OLink === '' && ['', 'o'])
    )[1],
    dom = ('WebKit|Moz|MS|O').match(new RegExp('(' + pre + ')', 'i'))[1];
  return {
    dom: dom,
    lowercase: pre,
    css: '-' + pre + '-',
    js: pre[0].toUpperCase() + pre.substr(1)
  };
  
})();
*/


function getQueryVariable(variable){
	var query = window.location.search.substring(1);
	var vars = query.split("&");
	for (var i=0;i<vars.length;i++) {
		var pair = vars[i].split("=");
		if(pair[0] == variable){return pair[1];}
	}
	return(false);
}


document.addEventListener("DOMContentLoaded", function() {
  "use strict"
	input.focus();
  
  if(getQueryVariable('txt')){
    setDataTxt('.s','txt',getQueryVariable('txt'));
  
  }
  input.onkeyup = function(){
    if(this.value !== ""){
      setDataTxt('.s','txt',this.value);
    } else {
      setDataTxt('.s','txt','Hi\!');
    }
  };

  var a = 20, 
      p = 70,
      r = 25,
      d = p / window.innerHeight,
      c = a / window.innerWidth;
	

    word.style.WebkitPerspective = "200px";
    word.style.WebkitPerspectiveOrigin = "50% 50%";
	 word.style.perspective = "200px";
    word.style.pespectiveOrigin = "50% 50%";    
  

 
  window.onmousemove = function(event){
    var e = event.pageX - window.innerWidth / 2,
        s = event.pageY - window.innerHeight / 2,
        n = c * e * -1,
        i = d * s * -1;
      word.style.WebkitPerspective = 200 - .6 * -i + "px";
      word.style.WebkitPerspectiveOrigin = 50 - n + "% " + (-30 - i) + "%";
      word.style.perspective = 200 - .6 * -i + "px";
      word.style.perspectiveOrigin = 50 - n + "% " + (-30 - i) + "%";
    
  }
  
})